'use strict';

var d3 = require('d3');
var g = require('./server/line');
var scatter = require('./server/scatter');
var bar = require('./server/bar');
var pie = require('./server/pie');

var charts = {
  line: g.line,
  scatter: scatter,
  bar: bar,
  pie: pie,
  area: g.area,
};

var DOMParser = require('xmldom-qsa').DOMParser;

if (!global.document) {
  global.document = new DOMParser().parseFromString('<div class="svg-wrap"></div>');
}else{
  document.querySelector('.svg-wrap').removeChild('*');
}

module.exports = charts;